// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8
#declare ThePad =
union {

	// cross
	merge {
		triangle { <-0.35, 1.05, 1.02>, <0.35, 1.05, 1.02>, <0.35, -1.05, 1.02> }
		triangle { <0.35, -1.05, 1.02>, <-0.35, -1.05, 1.02>, <-0.35, 1.05, 1.02> }
		triangle { <-1.05, 0.35, 1.02>, <1.05, 0.35, 1.02>, <1.05, -0.35, 1.02> }
		triangle { <1.05, -0.35, 1.02>, <-1.05, -0.35, 1.02>, <-1.05, 0.35, 1.02> }
		pigment { //color rgb 0.3
			image_map {
				gif "pad01.gif"
				once
			}
			translate <-0.5, -0.5, 1.02>
			//rotate 0
			scale 2
		}
	}

	// pad
	//surf { diff 0.6 0.6 0.6 }
	disc { z*1.01, z, 1.25 pigment { rgb 0.6 } }

	// lights
	//surf { diff sky_blue amb sky_blue }
	union {
		sphere { <-0.4, 1.1, 1.03>, 0.01 }
		sphere { <-0.2, 1.1, 1.03>, 0.01 }
		sphere { <0, 1.1, 1.03>, 0.01 }
		sphere { <0.2, 1.1, 1.03>, 0.01 }
		sphere { <0.4, 1.1, 1.03>, 0.01 }
		sphere { <0.4, 0.925, 1.03>, 0.01 }
		sphere { <0.4, 0.75, 1.03>, 0.01 }
		sphere { <0.4, 0.575, 1.03>, 0.01 }
		sphere { <0.4, 0.4, 1.03>, 0.01 }
		sphere { <0.575, 0.4, 1.03>, 0.01 }
		sphere { <0.75, 0.4, 1.03>, 0.01 }
		sphere { <0.925, 0.4, 1.03>, 0.01 }
		sphere { <1.1, 0.4, 1.03>, 0.01 }
		sphere { <1.1, 0.2, 1.03>, 0.01 }
		sphere { <1.1, 0, 1.03>, 0.01 }
		sphere { <1.1, -0.2, 1.03>, 0.01 }
		sphere { <1.1, -0.4, 1.03>, 0.01 }
		sphere { <0.925, -0.4, 1.03>, 0.01 }
		sphere { <0.75, -0.4, 1.03>, 0.01 }
		sphere { <0.575, -0.4, 1.03>, 0.01 }
		sphere { <0.4, -0.4, 1.03>, 0.01 }
		sphere { <0.4, -0.575, 1.03>, 0.01 }
		sphere { <0.4, -0.75, 1.03>, 0.01 }
		sphere { <0.4, -0.925, 1.03>, 0.01 }
		sphere { <0.4, -1.1, 1.03>, 0.01 }
		sphere { <0.2, -1.1, 1.03>, 0.01 }
		sphere { <0, -1.1, 1.03>, 0.01 }
		sphere { <-0.2, -1.1, 1.03>, 0.01 }
		sphere { <-0.4, -1.1, 1.03>, 0.01 }
		sphere { <-0.4, -0.925, 1.03>, 0.01 }
		sphere { <-0.4, -0.75, 1.03>, 0.01 }
		sphere { <-0.4, -0.575, 1.03>, 0.01 }
		sphere { <-0.4, -0.4, 1.03>, 0.01 }
		sphere { <-0.575, -0.4, 1.03>, 0.01 }
		sphere { <-0.75, -0.4, 1.03>, 0.01 }
		sphere { <-0.925, -0.4, 1.03>, 0.01 }
		sphere { <-1.1, -0.4, 1.03>, 0.01 }
		sphere { <-1.1, -0.2, 1.03>, 0.01 }
		sphere { <-1.1, 0, 1.03>, 0.01 }
		sphere { <-1.1, 0.2, 1.03>, 0.01 }
		sphere { <-1.1, 0.4, 1.03>, 0.01 }
		sphere { <-0.925, 0.4, 1.03>, 0.01 }
		sphere { <-0.75, 0.4, 1.03>, 0.01 }
		sphere { <-0.575, 0.4, 1.03>, 0.01 }
		sphere { <-0.4, 0.4, 1.03>, 0.01 }
		sphere { <-0.4, 0.575, 1.03>, 0.01 }
		sphere { <-0.4, 0.75, 1.03>, 0.01 }
		sphere { <-0.4, 0.925, 1.03>, 0.01 }
		pigment { color SkyBlue*3 }
	}

}
