// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8
#declare TheRadar = 
union {

	// dish
	sphere {
		0, 0.6
		clipped_by { disc { x*-0.1, -x, 1 inverse } }
		clipped_by { disc { z*0.3, z, 1 } }
		clipped_by { disc { z*-0.3, -z, 1 } }
	}

	sphere { 0, 0.05 }

	cylinder { 0, x*-0.6, 0.02 }

}
