// MOON3.V by Heinz Schuller
// To render this file type vivid<x> moon3   (the <x> designates whatever
//                                            version of Vivid your running.)
//
//------1---------2---------3---------4---------5---------6---------7---------8

//#include hwscol.vc
#include "color.vc"

studio {
	from 0 -10 4
	at 0 0 0
	up 0 0 1
	angle 60
	resolution 1920 1440
	antialias adaptive
	aspect 4/3
	ambient gray20
}

light { type point falloff 0 position -50 -50 50 color white }

// landscape
surface {
	texture {
		pattern noise
		terms 3
		scale 1 1 1
		blend 0.2
		surface { diffuse gray50 }
		surface { diffuse gray35 }
	}
	bump {
		turbulence {
			scale 0.05 0.05 0.05
			offset 0 -4 0
			amplitude 0.4
			terms 4
		}
	}
}
transform { rotate -90 0 0 }
#include mscape.vo
transform_pop

// pad
transform { scale 0.8 translate 0 -5 -0.2 }
#include pad.vo
transform_pop

// tower
transform { scale 0.4 rotate 0 0 0 translate -1 -1.8 2.6 }
#include tower.vo
transform_pop

// ship
transform { scale 0.15 rotate 0 0 45 translate -0.88 -5 2 }
#include ship.vo
transform_pop

// planet
transform { scale 0.8 translate 10 25 0 }
#include planet.vo
transform_pop

//------1---------2---------3---------4---------5---------6---------7---------8
