// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8
#declare LandingGear =
union {

	// gear
	sphere { 0, 0.4 clipped_by { disc { <0, 0, -0.1>, <0, 0, -1>, 1 } } }
	cone { z*-0.1, 0.3, z*-0.2, 0.2 }
	cone { z*-0.2, 0.2, z*-0.3, 0.3 }
	cone { z*-0.3, 0.3, z*-0.4, 0.2 }
	cone { z*-0.4, 0.2, z*-0.5, 0.3 }
	cone { z*-0.5, 0.3, z*-0.6, 0.2 }
	cylinder { z*-1.15, z*-1.2, 0.4 }
	//disc { z*-1.15, z, 0.4 }  // all cylinders in POV are closed!

	//surface { diffuse 0.1 0.1 0.1 specular 0.95 0.95 0.95 shine 100 white }
	cylinder { z*-0.6, z*-0.7, 0.2 }
	cylinder { z*-0.7, z*-0.9, 0.1 }
	cylinder { z*-0.9, z*-1.15, 0.05 }
	sphere { <0, 0, -1.15>, 0.1 clipped_by { disc { <0, 0, -1.15>, <0, 0, -1>, 1 } } }

}
